; cyrus/theme.jl

;; Copyright (C) 1999 Jess Bravo lvarez <jba@pobox.com>

;; Based on the enlightenment theme with the same name, made by
;; M.Kniebes <m.kniebes@c2h8.de>

;; Shade button class definition

  (def-frame-class shade-button '((cursor . right_ptr)) 
     (bind-keys shade-button-keymap
         "Button1-Off" 'toggle-window-shaded))

(let*
  (


    (font "-*-lucida-medium-r-normal-*-*-100-*-*-p-*-iso8859-1")

;; images

    (title-images (list (set-image-border (make-image "titlebar_1.png") 4 4 0 0)
                        nil
                        (set-image-border (make-image "titlebar_2.png") 4 4 0 0)
                        (set-image-border (make-image "titlebar_3.png") 4 4 0 0)))

    (t-title-images (make-image "t-top.png"))

    (iconify-images (list (make-image "iconify_1.png") nil
                          (make-image "iconify_2.png")
                          (make-image "iconify_3.png")))

    (maximize-images (list (make-image "maximize_1.png") nil
                           (make-image "maximize_2.png")
                           (make-image "maximize_3.png")))

    (close-images (list (make-image "kill_1.png") nil
                        (make-image "kill_2.png")
                        (make-image "kill_3.png")))

    (menu-images (list (make-image "menu_1.png") nil
                       (make-image "menu_2.png")))

    (shade-images (list (make-image "shade_1.png") nil
                        (make-image "shade_2.png")
                        (make-image "shade_3.png")))

    (left-border-images (make-image "left.png"))
    (t-left-border-images (make-image "t-left.png"))

    (right-border-images (make-image "right.png"))
    (t-right-border-images (make-image "t-right.png"))

    (bottom-border-images (make-image "down.png"))
    (t-bottom-border-images (make-image "t-bottom.png"))

    (top-left-images (make-image "upper_left1.png"))
    (s-top-left-images (make-image "upper_left3.png"))
    (t-top-left-images (make-image "t-topleft1.png"))
    (st-top-left-images (make-image "t-topleft2.png"))
    (top-left-menu-images (make-image "upper_left2.png"))

    (top-right-images (make-image "upper_right1.png"))
    (s-top-right-images (make-image "upper_right3.png"))
    (t-top-right-images (make-image "t-topright1.png"))
    (st-top-right-images (make-image "t-topright2.png"))

    (bottom-left-images (make-image "down_left.png"))
    (t-bottom-left-images (make-image "t-bottomleft.png"))
    
    (bottom-right-images (make-image "down_right.png"))
    (t-bottom-right-images (make-image "t-bottomright.png"))



;; frame layout

    (frame
     `(

    ;; title

        ((background . ,title-images)
         (foreground . ("darkgray" "white"))
         (font . ,font)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (top-edge . -18)
         (left-edge . 15)
         (right-edge . 26)
         (class . title)
        )

    ;; left border

        ((background . ,left-border-images)
         (top-edge . 36)
         (bottom-edge . 0)
         (left-edge . -7)
         (class . left-border)
        )

    ;; right border

        ((background . ,right-border-images)
         (top-edge . 0)
         (bottom-edge . 0)
         (right-edge . -7)
         (class . right-border)
        )

    ;; bottom border

        ((background . ,bottom-border-images)
         (bottom-edge . -7)
         (right-edge . 0)
         (left-edge . 0)
         (class . bottom-border)
        )

    ;; top-left corner

        ((background . ,top-left-images)
         (top-edge . -18)
         (left-edge . -18)
         (class . top-left-corner)
        )

        ((background . ,top-left-menu-images)
         (top-edge . 0)
         (left-edge . -18)
         (class . top-left-corner)
        )

    ;; top-right corner

        ((background . ,top-right-images)
         (top-edge . -18)
         (right-edge . -7)
         (class . top-right-corner)
        )

    ;; bottom-left corner

        ((background . ,bottom-left-images)
         (bottom-edge . -7)
         (left-edge . -7)
         (class . bottom-left-corner)
        )

    ;; bottom-right corner

        ((background . ,bottom-right-images)
         (bottom-edge . -7)
         (right-edge . -7)
         (class . bottom-right-corner)
        )

    ;; menu button

        ((background . ,menu-images)
         (top-edge . 0)
         (left-edge . -15)
         (class . menu-button)
        )

    ;; iconify button

        ((background . ,iconify-images)
         (top-edge . -15)
         (left-edge . -15)
         (class . iconify-button)
        )

    ;; shade button

        ((background . ,shade-images)
         (top-edge . -15)
         (left-edge . 0)
         (class . shade-button)
        )

    ;; maximize button

        ((background . ,maximize-images)
         (top-edge . -15)
         (right-edge . 11)
         (class . maximize-button)
        )

    ;; close button

        ((background . ,close-images)
         (top-edge . -15)
         (right-edge . -4)
         (class . close-button)
        )

      )
    )

    (shaped-frame
     `(

    ;; title

        ((background . ,title-images)
         (foreground . ("gray" "white"))
         (font . ,font)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (top-edge . -18)
         (left-edge . 15)
         (right-edge . 26)
         (class . title)
        )

    ;; top-left corner

        ((background . ,s-top-left-images)
         (top-edge . -18)
         (left-edge . -18)
         (class . top-left-corner)
        )

    ;; top-right corner

        ((background . ,s-top-right-images)
         (top-edge . -18)
         (right-edge . -7)
         (class . top-right-corner)
        )

    ;; iconify button

        ((background . ,iconify-images)
         (top-edge . -15)
         (left-edge . -15)
         (class . iconify-button)
        )

    ;; shade button

        ((background . ,shade-images)
         (top-edge . -15)
         (left-edge . 0)
         (class . shade-button)
        )

    ;; maximize button

        ((background . ,maximize-images)
         (top-edge . -15)
         (right-edge . 11)
         (class . maximize-button)
        )

    ;; close button

        ((background . ,close-images)
         (top-edge . -15)
         (right-edge . -4)
         (class . close-button)
        )

      )
    )

    (transient-frame
     `(

    ;; title

        ((background . ,t-title-images)
         (foreground . ("gray" "white"))
         (font . ,font)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (top-edge . -18)
         (left-edge . 0)
         (right-edge . 0)
         (class . title)
        )

    ;; left border

        ((background . ,t-left-border-images)
         (top-edge . 0)
         (bottom-edge . 0)
         (left-edge . -7)
         (class . left-border)
        )

    ;; right border

        ((background . ,t-right-border-images)
         (top-edge . 0)
         (bottom-edge . 0)
         (right-edge . -7)
         (class . right-border)
        )

    ;; bottom border

        ((background . ,t-bottom-border-images)
         (bottom-edge . -7)
         (right-edge . 0)
         (left-edge . 0)
         (class . bottom-border)
        )

    ;; top-left corner

        ((background . ,t-top-left-images)
         (top-edge . -18)
         (left-edge . -7)
         (class . top-left-corner)
        )

    ;; top-right corner

        ((background . ,t-top-right-images)
         (top-edge . -18)
         (right-edge . -7)
         (class . top-right-corner)
        )

    ;; bottom-left corner

        ((background . ,t-bottom-left-images)
         (bottom-edge . -7)
         (left-edge . -7)
         (class . bottom-left-corner)
        )

    ;; bottom-right corner

        ((background . ,t-bottom-right-images)
         (bottom-edge . -7)
         (right-edge . -7)
         (class . bottom-right-corner)
        )

    ;; iconify button

        ((background . ,iconify-images)
         (top-edge . -15)
         (left-edge . -4)
         (class . iconify-button)
        )

    ;; close button

        ((background . ,close-images)
         (top-edge . -15)
         (right-edge . -4)
         (class . close-button)
        )

      )
    )

    (shaped-transient-frame
     `(

    ;; title

        ((background . ,t-title-images)
         (foreground . ("gray" "white"))
         (font . ,font)
         (text . ,window-name)
         (x-justify . center)
         (y-justify . center)
         (top-edge . -18)
         (left-edge . 0)
         (right-edge . 0)
         (class . title)
        )

    ;; top-left corner

        ((background . ,st-top-left-images)
         (top-edge . -18)
         (left-edge . -7)
         (class . top-left-corner)
        )

    ;; top-right corner

        ((background . ,st-top-right-images)
         (top-edge . -18)
         (right-edge . -7)
         (class . top-right-corner)
        )

    ;; iconify button

        ((background . ,iconify-images)
         (top-edge . -15)
         (left-edge . -4)
         (class . iconify-button)
        )

    ;; close button

        ((background . ,close-images)
         (top-edge . -15)
         (right-edge . -4)
         (class . close-button)
        )

      )
    )

  )

;; frame definition

  (add-frame-style 'cyrus
    (lambda (w type)
      (case type
            ((default) frame)
            ((transient) transient-frame)
            ((shaped) shaped-frame)
            ((shaped-transient) shaped-transient-frame)
      )
    )
  )

)
